Loading...
Searching...
No Matches
QXmppMixInvitation Class Reference
Stanzas

The QXmppMixInvitation class is used to invite a user to a XEP-0369: Mediated Information eXchange (MIX) channel as defined by XEP-0407: Mediated Information eXchange (MIX): Miscellaneous Capabilities. More...

`#include <QXmppMixInvitation.h>`

## Public Member Functions

| QXmppMixInvitation ()
| QXmppMixInvitation (const QXmppMixInvitation &other)
| Copy constructor.
| QXmppMixInvitation (QXmppMixInvitation &&)
| Copy constructor.
QXmppMixInvitation & | operator= (const QXmppMixInvitation &other)
| Default assignment operator.
QXmppMixInvitation & | operator= (QXmppMixInvitation &&)
| Default assignment operator.
QString | inviterJid () const
void | setInviterJid (const QString &inviterJid)
QString | inviteeJid () const
void | setInviteeJid (const QString &inviteeJid)
QString | channelJid () const
void | setChannelJid (const QString &channelJid)
QString | token () const
void | setToken (const QString &token)

## Static Public Member Functions

static bool | isMixInvitation (const QDomElement &element)

## Detailed Description

The QXmppMixInvitation class is used to invite a user to a XEP-0369: Mediated Information eXchange (MIX) channel as defined by XEP-0407: Mediated Information eXchange (MIX): Miscellaneous Capabilities.

Since
  QXmpp 1.4

## Constructor & Destructor Documentation

## QXmppMixInvitation()

QXmppMixInvitation::QXmppMixInvitation | ( |  | ) |

Default constructor

## Member Function Documentation

## channelJid()

QString QXmppMixInvitation::channelJid | ( |  | ) | const

Returns the JID of the channel.

Returns
  the channel's JID

## inviteeJid()

QString QXmppMixInvitation::inviteeJid | ( |  | ) | const

Returns the JID of the invitee.

Returns
  the invitee's JID

## inviterJid()

QString QXmppMixInvitation::inviterJid | ( |  | ) | const

Returns the JID of the inviter.

Returns
  the inviter's JID

## isMixInvitation()

bool QXmppMixInvitation::isMixInvitation | ( | const QDomElement & | element | ) |

static

Determines whether the given DOM element is a MIX invitation.

Parameters

  element | DOM element being checked

Returns
  true if element is a MIX invitation, otherwise false

## setChannelJid()

void QXmppMixInvitation::setChannelJid | ( | const QString & | channelJid | ) |

Sets the JID of the channel.

Parameters

  channelJid | channel JID

## setInviteeJid()

void QXmppMixInvitation::setInviteeJid | ( | const QString & | inviteeJid | ) |

Sets the JID of the invitee.

Parameters

  inviteeJid | invitee's JID

## setInviterJid()

void QXmppMixInvitation::setInviterJid | ( | const QString & | inviterJid | ) |

Sets the JID of the inviter.

Parameters

  inviterJid | inviter's JID

## setToken()

void QXmppMixInvitation::setToken | ( | const QString & | token | ) |

Sets the token which is generated by the server and used by the invitee for authentication.

Parameters

  token | authentication token

## token()

QString QXmppMixInvitation::token | ( |  | ) | const

Returns the token which is generated by the server and used by the invitee for authentication.

Returns
  the generated token used for authentication

The documentation for this class was generated from the following files:

- QXmppMixInvitation.h
- QXmppMixInvitation.cpp